# This is an example .goreleaser.yml file with some sane defaults.
# Make sure to check the documentation at http://goreleaser.com
project_name: cacert-boardvoting
before:
  hooks:
    # You may remove this if you don't use go modules.
    - go mod tidy
builds:
  - env:
      - CGO_ENABLED=1
    goos:
      - linux
    goarch:
      - amd64
    flags:
      - -buildmode=pie
      - -trimpath
      - -v
    main: ./cmd/boardvoting
archives:
  - replacements:
      linux: Linux
      amd64: x86_64
checksum:
  name_template: 'checksums.txt'
snapshot:
  name_template: "{{ .Tag }}-next"
changelog:
  sort: asc
  filters:
    exclude:
      - '^docs:'
      - '^test:'
nfpms:
  -
    package_name: cacert-boardvoting
    file_name_template: "{{ .ProjectName }}_{{ .Version }}_{{ .Arch }}"
    maintainer: Jan Dittberner <jandd@cacert.org>
    formats:
      - deb
    dependencies:
      - libsqlite3-0
      - adduser
    priority: optional
    bindir: /srv/cacert-boardvoting
    contents:
      - src: README.md
        dst: /usr/share/doc/cacert-boardvoting/README.md
      - src: config.yaml.example
        dst: /usr/share/doc/cacert-boardvoting/examples/config.yaml.example
      - src: cacert-boardvoting.service
        dst: /lib/systemd/system/cacert-boardvoting.service
